MODPROBE(8)

NOM

modprobe – Ajouter et enlever des modules du noyau Linux

SYNOPSIS

modprobe [-v] [-V] [-C fichier_config] [-n] [-i] [-q] [-b] [nom_du_module]
         [module paramètres...]

modprobe [-r] [-v] [-n] [-i] [nom_du_module...]

modprobe [-c]

modprobe [--dump-modversions] [nom_du_fichier]

DESCRIPTION

modprobe ajoute ou supprime intelligemment un module du noyau Linux : à noter que pour plus de commodité, il n'y a pas de différences entre _ et - dans les noms de module (la conversion automatique du tiret bas est effectuée). modprobe cherche dans le répertoire des modules /usr/lib/`uname -r` tous les modules et autres fichiers, excepté les fichiers de configuration facultatifs dans le répertoire (voir modprobe.d(5)). modprobe utilisera aussi les options de module indiquées sur la ligne de commande du noyau sous la forme <module>.<option> et mettra sous liste noire sous la forme modprobe.blacklist=<module>.

Notez que contrairement aux séries 2.4 des noyaux Linux (qui ne sont pas prises en charge par cet outil), cette version de modprobe ne fait rien au module lui-même : le travail de résoudre les symboles et de comprendre les paramètres est fait à l'intérieur du noyau. Ainsi un échec du module est parfois accompagné d'un message du noyau (voir dmesg(8)).

modprobe attend un fichier modules.dep.bin à jour comme généré par l'utilitaire correspondant depmod fourni avec modprobe (voir depmod(8)). Ce fichier liste quels sont les autres modules nécessaires à chaque module (s'il y en a), et modprobe l'utilise pour ajouter ou supprimer ces dépendances automatiquement.

Si des paramètres sont donnés après le nom_du_module, ils sont passés au noyau (en supplément de toute option listée dans le fichier de configuration).

Lors du chargement des modules, nom_du_module peut aussi être un chemin vers le module. Si le chemin est relatif, il doit explicitement commencer avec « ./ ». Notez que cela peut échouer lors de l'utilisation d'un chemin vers un module avec des dépendances qui ne correspondent pas à la base de données de depmod installée.

OPTIONS

-a, --all
    Inscrire tous les noms de modules sur la ligne de commande.

-b, --use-blacklist
    Cette option commande à modprobe d'appliquer aussi les commandes blacklist dans les fichiers de configuration (si présents) aux noms de module. Cela est habituellement utilisé par udev(7).

-C répertoire, --config=répertoire
    Cette option écrase le répertoire de configuration par défaut. Voir modprobe.d).

    Cette option est passée à l'aide des commandes install ou remove aux autres commandes modprobe dans la variable d'environnement MODPROBE_OPTIONS.

-c, --showconfig
    Afficher la configuration effective extraite du répertoire de configuration et quitter.

--dump-modversions
    Afficher la liste des informations relatives à la version du module requise par un module. Cette option est communément utilisée par les distributions pour empaqueter un module du noyau Linux en utilisant des dépendances versionnées du module.

-d, --dirname
    Répertoire racine pour les modules, par défaut /.

--first-time
    Normalement, modprobe réussira (et ne fera rien) s'il lui est demandé d'insérer un module qui est déjà présent ou d'enlever un module qui n'est pas présent. C'est idéal pour les scripts simples ; néanmoins, il y a davantage de scripts plus compliqués qui veulent souvent savoir si modprobe a réellement fait quelque chose : cette option fait échouer modprobe si en réalité il n'a rien fait.

--force-vermagic
    Tous les modules contiennent une petite chaîne contenant des informations importantes, telles que les versions du compilateur et du noyau. Si un module échoue à charger et si le noyau se plaint que le « version magic » ne correspond pas, vous pouvez utiliser cette option pour l'enlever. Bien évidemment, cette vérification est là pour vous protéger, aussi utiliser cette option est dangereux à moins de savoir ce que vous faites.

    Cela s'applique à chaque module ajouté : à la fois le module (ou son alias) sur la ligne de commande et chaque module dont il dépend.

--force-modversion
    Lorsque les modules sont compilés avec CONFIG_MODVERSIONS défini, une section détaillant les versions de chaque interface utilisée par (ou fournie par) le module est créée. Si un module échoue au chargement et si le noyau se plaint que le module est en désaccord au sujet de la version d'une interface, vous pouvez utiliser --force-modversion pour supprimer toutes les informations de version. Bien entendu, cette vérification est là pour votre sécurité, aussi utiliser cette option est dangereux à moins de savoir ce que vous faites.

    Cela s'applique à chaque module ajouté : à la fois le module (ou son alias) sur la ligne de commande et chaque module dont il dépend.

-f, --force
    Essayer d’élaguer toute information sur la version du module qui pourrait empêcher son chargement : cette option équivaut à utiliser à la fois --force-vermagic et --force-modversion. Naturellement, ces vérifications sont là pour vous protéger, aussi utiliser cette option est dangereux à moins de savoir ce que vous faites.

    Cela s'applique à chaque module ajouté : à la fois le module (ou son alias) sur la ligne de commande et chaque module dont il dépend.

-i, --ignore-install, --ignore-remove
    Cette option force modprobe à ignorer les commandes install et remove (si présentes) du fichier de configuration pour le module spécifié sur la ligne de commande (les modules dépendants étant toujours sujets aux commandes qui leur sont attribuées dans le fichier de configuration). À la fois install et remove seront actuellement ignorées lorsque cette option est utilisée sans se préoccuper si la demande a été spécifiquement faites seulement avec l'une ou l'autre (et non les deux) des options --ignore-install ou --ignore-remove. Voir modprobe.d(5).

-n, --dry-run, --show
    Cette option fait tout sauf ajouter ou supprimer réellement les modules (ou exécuter les commandes install ou remove). Combinée à -v, elle est pratique pour déboguer les problèmes. Pour des raisons historiques, --dry-run et --show signifient vraiment la même chose et sont interchangeables.

-q, --quiet
    Avec cet argument, modprobe n'affichera pas de message d'erreur si vous essayez de supprimer ou d'ajouter un module qu'il ne peut pas trouver (et qui n'est pas un alias ou la commande install/remove). Cependant, il renverra quand même un code de retour différent de zéro. Le noyau s'en sert pour rechercher de manière opportuniste des modules qui peuvent exister en utilisant request_module.

-R, --resolve-alias
    Afficher tous les noms de module correspondant à un alias. Cette option s’avère utile pour déboguer les problèmes d'alias de module.

-r, --remove
    Avec cette option, modprobe supprime un module au lieu d’en ajouter un. Si les modules dont dépend ce dernier sont eux aussi inutilisés, modprobe essaiera de les supprimer aussi. Contrairement à l'ajout, plus d'un module peut être indiqué sur la ligne de commande (il est inutile de spécifier les paramètres du module pour l'enlever).

    Il n'y a généralement pas de raison pour supprimer un module, mais certains modules bogués le nécessitent. Le noyau de votre distribution n'a peut-être pas été construit pour prendre en charge la suppression de modules.

-w TIMEOUT_MSEC, --wait=TIMEOUT_MSEC
    Cette option oblige modprobe -r à continuer à essayer de supprimer un module s'il n'a pas réussi, car le module était occupé, c'est-à-dire que son comptage de références est différent de 0 au moment de l'appel. modprobe tente de supprimer le module avec un temps d'attente incrémental entre chaque tentative jusqu'au temps d'attente maximal indiqué en millisecondes dans cette option.

-S version, --set-version=version
    Définir la version du noyau au lieu d'utiliser uname(2) pour décider de la version du noyau (qui dicte où trouver les modules).

--show-depends
    Lister les dépendances d'un module (ou d'un alias), incluant le module lui-même. Cette option produit un ensemble (possiblement vide) de noms de fichier de module, un par ligne, chacun commençant avec « insmod » et est typiquement utilisé par les distributions pour déterminer quels modules inclure lors de la génération des images initrd/initramfs. Les commandes install qui sont appliquées sont montrées avec le préfixe « install ». Cette option n'exécute aucune commande install. Notez que modinfo(8) peut être utilisé pour extraire les dépendances d'un module depuis le module lui-même, mais ne sait rien des alias ou des commandes install.

-s, --syslog
    Cette option oblige tous les messages d'erreur à passer à travers le mécanisme syslog (comme LOG_DAEMON avec le niveau LOG_NOTICE) plutôt que vers l'erreur standard. Cette option est activée automatiquement lorsque stderr n'est pas disponible.

    Cette option est passée à l'aide des commandes install ou remove aux autres commandes modprobe dans la variable d'environnement MODPROBE_OPTIONS.

-V, --version
    Afficher la version du programme et quitter.

-v, --verbose
    Afficher des messages à propos de ce que fait le programme. Habituellement modprobe n'affiche des messages que si quelque chose se déroule mal.

    Cette option est passée à l'aide des commandes install ou remove aux autres commandes modprobe dans la variable d'environnement MODPROBE_OPTIONS.

ENVIRONNEMENT

La variable d'environnement MODPROBE_OPTIONS peut aussi être utilisée pour passer des arguments à modprobe. Le format n'est pas documenté intentionnellement, dans la mesure où l'utilisation d'outils et de scripts tiers est déconseillée

La variable d'environnement provient de l'implémentation des règles d'installation.

COPYRIGHT

Cette page de manuel était originellement sous copyright 2002, Rusty Russell, IBM Corporation.

VOIR AUSSI

modprobe.d(5), insmod(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

BOGUES

Merci d'envoyer les rapports de bogues directement au suivi des bogues de kmod à https://github.com/kmod-project/kmod/issues/ avec la version utilisée, les étapes pour reproduire le bogue et le retour espéré.

AUTEURS

De nombreuses contributions proviennent de la liste de diffusion linux-modules <linux-modules@vger.kernel.org> et de Github. Si vous avez une copie de kmod.git lui-même, les sorties de git-shortlog(1) et de git-blame(1) vous indiquerons les auteurs de certaines parties du projet.

Lucas De Marchi <lucas.de.marchi@gmail.com> est le responsable actuel du projet.

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.